### Property

# RB SongInfo:source

#### Declaration

    property source: RB.Source [ read, write, construct-only ]

#### Description [src]

The `RBSource` that created the song properties window. Used to update for track list changes, and to find the sets of albums, artist, and genres to use for tag edit completion.

Type:`RBSource`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes